Skip to navigation

Fetch EOR Contract form

Returns the country-specific form definition for creating an EOR contract, including its fields, validation rules, and conditional logic, which vary because employment requirements differ by country. Supply the optional state parameter for countries that require a province/state to be specified.

Token scopes: forms:read

Authentication

AuthorizationBearer

Authentication

The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.

curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \
  -H 'Authorization: Bearer YOUR-TOKEN-HERE'

Learn more about authentication

OR
AuthorizationBearer

Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

Path parameters

country_codestringRequiredformat: "^[A-Z]{2}$"=2 characters

Two-letter country code in ISO 3166-1 alpha-2 format

Query parameters

statestringOptional
The selected state code of the contract. This is only required for countries that specify it.
start_datestringOptionalformat: "date"
The selected start date of the contract in ISO 8601 formatted date string.
work_hours_per_weekintegerOptional1-168
The selected number of work hours per week.
contract_duration_in_daysintegerOptional>=1
The contract duration in days for definite contracts.

Response

Successful response containing form configuration data.
dataobject

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error